
Redmine - Defect #20992

Parent priority "Independent of subtasks" setting doesn't work

2015-10-14 17:31 - Ismael Barros²

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.1.2   

Resolution: Fixed Affected version: 3.1.1

Description

(Comes from #5490-97)

 I've just updated from Redmine 3.0 to Redmine 3.1 just to get the fix for #5490, but it doesn't seem to be working for me.

I've configured "Parent task attributes > Priority" to "Independent of subtasks" (see Screenshot from 2015-10-14 11-59-18.png), but

when I want to change the priority of a parent, the field is still grayed out (see Screenshot from 2015-10-14 11-59-28.png). Am I

missing something?

Versions and stuff: unfoldunfold

Environment:

  Redmine version                3.1.1.stable

  Ruby version                   1.9.3-p0 (2011-10-30) [x86_64-linux]

  Rails version                  4.2.4

  Environment                    production

  Database adapter               Mysql2

SCM:

  Mercurial                      2.0.2

  Git                            1.7.9.5

  Filesystem                     

Redmine plugins:

  clipboard_image_paste          1.10

  redmine_embedded_video         0.0.3.1

  redmine_inline_note_images_plugin 0.0.1

  redmine_ldap_sync              2.0.7.devel.g202f7c74b9

  redmine_lightbox               0.0.1

  redmine_my_page_queries        2.1.6

  redmine_zenedit                0.0.2

  sidebar_hide                   0.0.7

  time_logger                    0.5.1

Related issues:

Related to Redmine - Defect #27533: Cannot change the priority of the parent ... Closed

Has duplicate Redmine - Defect #20984: Unable to update priority on parent ta... Closed

Has duplicate Redmine - Defect #20994:  You can not change the priority of th... Closed

Associated revisions

Revision 14671 - 2015-10-14 20:07 - Jean-Philippe Lang

Fixed that triority field is always disabled on parent tasks (#20992).

Revision 14804 - 2015-11-07 09:19 - Jean-Philippe Lang

Merged r14671 (#20992).
https://www.redmine.org/issues/5490#note-97
https://www.redmine.org/issues/5490
https://www.redmine.org/attachments/14400
https://www.redmine.org/attachments/14399


History

#1 - 2015-10-14 17:35 - Deoren Moor

- File parent_tasks_attributes.png added

I have the same issue here and I'm using the same settings:

 parent_tasks_attributes.png 

Installation details:

Environment:

  Redmine version                3.1.1.stable.14618

  Ruby version                   1.9.3-p0 (2011-10-30) [i686-linux]

  Rails version                  4.2.4

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.17

  Git                            1.7.9.5

  Filesystem                     

Redmine plugins:

  no plugin installed

#2 - 2015-10-14 20:08 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.1.2

- Resolution set to Fixed

Fixed in r14671

#3 - 2015-10-14 22:52 - Ismael Barros²

Tested cherry-picking the change on top of branch 3.1-stable, works awesome, thanks!!

#4 - 2015-10-15 15:44 - Deoren Moor

@Jean-Philippe Lang Thanks!

#5 - 2015-11-05 06:56 - Toshi MARUYAMA

- Has duplicate Defect #20984: Unable to update priority on parent task even when "independent of subtasks" is selected added

#6 - 2015-11-05 06:57 - Toshi MARUYAMA

- Has duplicate Defect #20994:  You can not change the priority of the parent issue added

#7 - 2015-11-07 09:19 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#8 - 2017-12-14 20:02 - Marius BĂLTEANU

- Related to Defect #27533: Cannot change the priority of the parent issue in issue query context menu when parent priority is independent of children

added

Files

Screenshot from 2015-10-14 11-59-28.png 7.87 KB 2015-10-14 Ismael Barros²

Screenshot from 2015-10-14 11-59-18.png 12.2 KB 2015-10-14 Ismael Barros²
